/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _CALENDAR_H_
#define _CALENDAR_H_

// day of week as OS reports it

#define SUN 0
#define MON 1
#define TUE 2
#define WED 3
#define THU 4
#define FRI 5
#define SAT 6

#define WEEK    7       // days per week

// months in year

#define MONTHS_IN_YEAR 12

// month of year as OS reports it

#define JAN 0
#define FEB 1
#define MAR 2
#define APR 3
#define MAY 4
#define JUN 5
#define JUL 6
#define AUG 7
#define SEP 8
#define OCT 9
#define NOV 10
#define DEC 11

// number of days per month

#define JAN_DAYS    31
#define FEB_DAYS    28
#define MAR_DAYS    31
#define APR_DAYS    30
#define MAY_DAYS    31
#define JUN_DAYS    30
#define JUL_DAYS    31
#define AUG_DAYS    31
#define SEP_DAYS    30
#define OCT_DAYS    31
#define NOV_DAYS    30
#define DEC_DAYS    31

// Offset in days from start of year for a given month

#define JAN_OFF     0
#define FEB_OFF     JAN_DAYS
#define MAR_OFF     (JAN_DAYS+FEB_DAYS)
#define APR_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS)
#define MAY_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS)
#define JUN_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS)
#define JUL_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS+JUN_DAYS)
#define AUG_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS+JUN_DAYS+JUL_DAYS)
#define SEP_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS+JUN_DAYS+JUL_DAYS+AUG_DAYS)
#define OCT_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS+JUN_DAYS+JUL_DAYS+AUG_DAYS+SEP_DAYS)
#define NOV_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS+JUN_DAYS+JUL_DAYS+AUG_DAYS+SEP_DAYS+OCT_DAYS)
#define DEC_OFF     (JAN_DAYS+FEB_DAYS+MAR_DAYS+APR_DAYS+MAY_DAYS+JUN_DAYS+JUL_DAYS+AUG_DAYS+SEP_DAYS+OCT_DAYS+NOV_DAYS)


#endif      // _CALENDAR_H_

