/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// common.h
//

#ifndef _COMMON_H_
#define _COMMON_H_

#define STRING_SIZE 128
#define STRING32_SIZE 32

#ifndef BOOL
    typedef int BOOL;
#endif

#ifndef TRUE
    #define TRUE    1
    #define FALSE   0
#endif

#ifndef FOREVER
    #define FOREVER for(;;)
#endif

#ifndef uchar
    typedef unsigned char uchar;
#endif


// CR/LF
#define CR 0x0d
#define LF 0x0a


// weather station types
#define ID5001      1   // Heath ID-5001
#define ULTII       2   // Peet Brother's Ultimeter II
#define ULT2000     3   // Peet Brother's Ultimeter 2100, 2000, 800, 500, 100
#define DAVIS2      4   // Davis Instruments Monitor II family
#define DAVISVP     5   // Davis Instruments Vantage Pro
#define WM918       6   // Oregon Scientific WM918/Radio Shack WX200
#define PICWX       7   // PIC device wx station

#define UNKNOWN     -1


// field sizes MUST MATCH those for nodes table
#define CALLSSID_SIZE   10
#define ALIAS_SIZE      10
#define CITY_SIZE       64
#define COUNTY_SIZE     64
#define STATE_SIZE      3
#define FIPS_SIZE       7
#define AFOS_SIZE       7


#endif  // _COMMON_H_

