/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _SUN_H_
#define _SUN_H_

#include <time.h>

#include "datastruct.h"

#ifndef BOOL
    typedef int BOOL;
#endif

// sunrise/sunset

#define SUNRISE 1
#define SUNSET  0

#ifdef __cplusplus
extern "C"
{
#endif

    void CalculateRiseSet( noderef * pInfo, nodedata * pData );
    double SunNormalize( double dValue );
    time_t SunRiseSet( int nRiseSet, double dStnLat, double dStnLong, int nStnZone, BOOL bDST );

#ifdef __cplusplus
}
#endif


#endif  // _SUN_H_

