/***************************************************************************
 *   Copyright (C) 2005 by John Bennett                                    *
 *   n4xi@arrl.net                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// titlecase.cpp - format a string in title case
//

#define _TITLECASE_CPP_

#include <string.h>
#include <ctype.h>

#include "titlecase.h"
#include "makelc.h"


///////////////////////////////////////////////////////////////////////////////
// TitleCase - convert string to title case
//

void TitleCase( char *szString )
{
    char * pS;

    // force all to lower
    makelc( szString );

    pS = szString;

    // make UC first character of each word
    while( *pS )
    {
        while( *pS == '.' || *pS == ' ' )
            pS++;
        *pS = (char) toupper( *pS );
        do{ pS++; }
            while( isalpha( *pS ) );
    }

    // correct any II, III
    pS = strstr( szString, "Ii" );
    if( pS )
    {
        pS++;
        while ( *pS == 'i' )
        {
            *pS = toupper( *pS );
            pS++;
        }
    }

    // now fix any names like "O'Fallon" so that letter after ' is in caps
    pS = szString;
    while( (pS = strchr( pS, '\'' )) )
    {
        pS++;
        if( *pS )
        {
            if( *(pS-2) >= 'A' && *(pS-2) <='Z' )
                *pS = (char) toupper( *pS );
            pS++;
            if( *pS == 0 )
                break;
        }
    }

}


