/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _WXNDATA_H_
#define _WXNDATA_H_

#include <time.h>

// libwxn
#include <datastruct.h>

// codes returned by LocalDataStatus()

#define DATA_OK     0
#define OLDDATA_ERR 1
#define NODATA_ERR  2

// codes returned by ReadLocalData()

#define NO_ERR      0x0000
#define TEMP_ERR    0x0001
#define WIND_ERR    0x0002
#define PRECIP_ERR  0x0004
#define BAROM_ERR   0x0008
#define HUMID_ERR   0x0010
#define EMP_ERR     0x0020
#define RAD_ERR     0x0040
#define UV_ERR      0x0080
#define SUN_ERR     0x0100
#define TSD_ERR     0x0200
#define TSD2_ERR    0x0400
#define IST_ERR     0x0800
#define ISH_ERR     0x1000
#define DD_ERR      0x2000

//////////////////////////////////////

#ifndef _WXDATA_CPP_
    extern nodeblk g_Local;
#endif

BOOL GetCurrentWeatherData( BOOL bNormal );
BOOL InitWxData( BOOL bVerbose );
int LocalDataStatus( void );
BOOL ReadLocalPrecipData( void );
int ReadLocalData( void );
void SaveLocalData( void );
void WxStnClear( void );
void WxClear( void );
void SaveLocalSunData( void );
void SetOwSensors( BOOL bVerbose );
void SetNullSensorFields( void );
void OwSensorsInit( void );


#endif  // _WXNDATA_H_

